Accidentally stuck on 4.5.0-4U

Discussion in '3DS - Homebrew Development and Emulators' started by Lightwolfe, Jan 29, 2017.

  1. Lightwolfe
    OP

    Lightwolfe Member

    Newcomer
    14
    0
    Jan 29, 2017
    United States
    I recently tried to follow a guide to downgrade to 2.1. In doing so I made a back up, or at least I thought I had, and couldn't get my N3DS upgrade past 2.1. I cart updated to 4.5.0-4U but now I'm stuck and don't really know how to upgrade past this without bricking. I also reformatted my SD Card thinking it would put me back to 11.2.0-35U but it didn't do anything besides clean off the SD Card. Any help is appreciated!
     


  2. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    its an o3ds correct? if so just do an official update and start over . . . if its a n3ds then you would likely brick if you do this
     
    Last edited by wormdood, Jan 29, 2017
  3. ThisIsDaAccount

    ThisIsDaAccount GBAtemp Advanced Fan

    Member
    584
    225
    Apr 8, 2016
    United States
    The guide you should have been following is this guide:
    https://3ds.guide

    We could have helped you if you'd stayed on 2.1 but I don't really know what to tell you now.

    — Posts automatically merged - Please don't double post! —

    I think he said it was an N3DS
     
  4. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    1. did you put anything on the sd card ?. . . you may still be able to recover it
    2. did you install a9lh while on 2.1 ? . . . if not its hopeless without a hardmod and a nand backup
    edit: i put my foot in mouth
     
    Last edited by wormdood, Jan 29, 2017
    BL4Z3D247 likes this.
  5. Roomsaver

    Roomsaver GBAtemp Advanced Fan

    Member
    951
    243
    Sep 7, 2015
    United States
    garfield kart grand prix
    EDIT: Don't do this nvm
     
    Last edited by Roomsaver, Jan 29, 2017
  6. novren

    novren Have a banana!

    Member
    116
    59
    Jun 18, 2016
    If you have installed a9lh and have a backup of your original sys or emunand, you can just boot to decrypt9 or hourglass9 and restore said backup.

    If you haven't done any of those things then I don't know what to tell you, you borked up dood

    Edit. I think that without a backup but WITH a9lh you can just crtransfer to 9.2. I think. Check The GuideĀ®

    I'm editing again. You can but you first gotta go back to 2.1. And have you got a9lh already? Cause if you haven't that will be the moment to get it.
     
    Last edited by novren, Jan 29, 2017
  7. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    If you do not have A9LH, try this: https://3ds.guide/decrypt9-(browser)

    NO NO NO NO NO NO NO!!!! ARE YOU KIDDING ME! If he does not have A9LH and does this, he will brick!
     
    Last edited by Tenshi_Okami, Jan 29, 2017
  8. Roomsaver

    Roomsaver GBAtemp Advanced Fan

    Member
    951
    243
    Sep 7, 2015
    United States
    garfield kart grand prix
    My bad. I thought cartridge updates were safe?
     
  9. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    If its on O3DS, and has A9LH, its safe. he's on N3DS
     
  10. Roomsaver

    Roomsaver GBAtemp Advanced Fan

    Member
    951
    243
    Sep 7, 2015
    United States
    garfield kart grand prix
    My bad, I've edited my post above. I thought it was safe on n3DS but I guess not.
     
    Tenshi_Okami likes this.
  11. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    he will not be able to load decrypt9 with the fw the last number of the fw needs to be 7 or higher before he can use the spider(browser) exploit
     
    BL4Z3D247 likes this.
  12. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    uh, im pretty sure it works. Some other guy did the same thing(something i should had not recommended to him) and he could load Decrypt9 from the -4 browser.

    -7+ browser versions requirements are for Homebrew IIRC
     
  13. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    but thats the thing they both use the same exploit (spider) in order to launch
    and the limit is in the exploit not specifically homebrew
     
  14. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    Spider is the codename for the browser....

    And the Homebrew's payload relies on the console/browser version, not on the exploit.
     
  15. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
  16. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    This,
    This
    This confirms what im trying to show you. The exploit can work on a full 2.1 firm (which I'm sure it does because theres no other way Gateway people can run their badly coded A9LH installer on 2.1), but it does work with any browser.

    The ROP chains the Spider Exploit uses have codes to run on -4 browser(which is basically the 2.1 browser)

    Just to let you know, i am not going to keep arguing about this. There was another guy stuck in the same way as the OP and he managed to run Decrypt9 with the -4 browser.
     
    Last edited by Tenshi_Okami, Jan 29, 2017
  17. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    well then he is lucky he only updated to 4.x as anything above would not work . . . my bad:shit:
     
  18. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    If it does not work, he can also try to do the MSET exploit. Old but still gold :P
     
    Quantumcat, HyperT and wormdood like this.
  19. wormdood

    wormdood pirate booty inspector

    Member
    3,366
    1,412
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    assuming he has a ds flashcard
     
  20. Tenshi_Okami

    Tenshi_Okami GBAtemp Maniac

    Member
    1,376
    564
    Nov 3, 2015
    Puerto Rico
    I mean, 15$ to get his N3DS fixed will surely be a very good spent money XD OP next time should ask first before taking action